| Class BedIOContext The I/O context to use for BED I/O. BedIOContext<TNameStore[, TNameStoreCache]> Include Headers bed_io.h Parameters
TNameStore | The name store class.
TNameStoreCache | The name store cache class. Default: NameStoreCache<TNameStore>
Typedefs
TNameStore | The name store class.
TNameStoreCache | The name store cache class.
Member Functions
BedIOContext | Constructor.
Functions
nameStore | Return reference to name store from BedIOContext.
nameStoreCache | Return reference to name store cache from BedIOContext.
Examples Creating a BedIOContext for a raw StringSet of CharString. StringSet<CharString> nameStore; NameStoreCache<StringSet<CharString> > nameStoreCache(nameStore); BedIOContext<StringSet<CharString> > bedIOContext(nameStore, nameStoreCache); // ... Using a BedIOContext with a FragmentStore. typedef FragmentStore<>::TContigNameStore TNameStore; typedef NameStoreCache<TNameStore> TNameStoreCache; FragmentStore<> store; // Optionally, do something with store. typedef BedIOContext<TNameStore, TNameStoreCache> TBedIOContext; TBedIOContext bedIOContext(store.contigNameStore, store.contigNameStoreCache); // ... SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56